FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202109092011.p0.git.c4b5b42.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109092011.p0.git.c4b5b42.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c4b5b42 OS_GIT_VERSION=4.7.0-202109092011.p0.git.c4b5b42.assembly.stream-c4b5b42 SOURCE_DATE_EPOCH=1631194038 SOURCE_GIT_COMMIT=c4b5b42127ac0ebd9ce5c5c57c1a15949319bdc1 SOURCE_GIT_TAG=c4b5b421 SOURCE_GIT_URL=https://github.com/openshift/cluster-network-operator 
WORKDIR /go/src/github.com/openshift/cluster-network-operator
COPY . .
RUN hack/build-go.sh

FROM openshift/ose-base:v4.7.0.20210909.202007
ENV __doozer=update BUILD_RELEASE=202109092011.p0.git.c4b5b42.assembly.stream BUILD_VERSION=v4.7.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=7 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.7.0-202109092011.p0.git.c4b5b42.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=c4b5b42 OS_GIT_VERSION=4.7.0-202109092011.p0.git.c4b5b42.assembly.stream-c4b5b42 SOURCE_DATE_EPOCH=1631194038 SOURCE_GIT_COMMIT=c4b5b42127ac0ebd9ce5c5c57c1a15949319bdc1 SOURCE_GIT_TAG=c4b5b421 SOURCE_GIT_URL=https://github.com/openshift/cluster-network-operator 
COPY --from=builder  /go/src/github.com/openshift/cluster-network-operator/cluster-network-operator /usr/bin/
COPY --from=builder  /go/src/github.com/openshift/cluster-network-operator/cluster-network-check-endpoints /usr/bin/
COPY manifests /manifests
COPY bindata /bindata
ENV OPERATOR_NAME=cluster-network-operator
CMD ["/usr/bin/cluster-network-operator"]

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-network-operator" \
        com.redhat.component="cluster-network-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="openshift-sdn" \
        release="202109092011.p0.git.c4b5b42.assembly.stream" \
        io.openshift.build.commit.id="c4b5b42127ac0ebd9ce5c5c57c1a15949319bdc1" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-network-operator/commit/c4b5b42127ac0ebd9ce5c5c57c1a15949319bdc1" \
        version="v4.7.0"

